package com.ozs.service.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 报警信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
public class MsgAlarmResp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 线路名称
     */
    private String railwayName;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;

    /**
     * 所属工务段编码(单位id)
     */
    private Long deptId;

    /**
     * 报警里程位置
     */
    private String alarmMile;


    /**
     * 里程范围
     */
    private String beginMile;

    /**
     * 监视相机经度纬度
     */
    private String installLongitude;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isLock;

    /**
     * 解除时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date releasedTime;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alarmTime;

    /** 报警图片地址 */
    private List<String> imageUrls;


}
